<bugID>311305<Summary>[MacOS X] Menu rendering of bookmark toolbar folders does not respect theme font size</Summary><Description>User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8b4) Gecko/20050908 Firefox/1.4
Build Identifier: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8b4) Gecko/20050908 Firefox/1.4

The font size on the bookmark toolbar folders pop-up menus does not match the
font size of the bookmark toolbar entry itself (see attached screenshot).

Although it it a good idea to use the native menu support, I think it's equally
important to also respect theme settings.

Here is a link to the documentation of the Carbon API function in question:
http://developer.apple.com/documentation/Carbon/Reference/Menu_Manager/menu_mgr_ref/chapter_1.2_section_11.html#//apple_ref/doc/uid/TP30000227-DontLinkChapterID_2-F09100

Reproducible: Always

Steps to Reproduce:
1. Click on the entry of a folder in the bookmarks toolbar
2. Compare font sizes of entries contained within that menu and the font size of
the folder in the bookmarks toolbar itself

Actual Results:  
Font sizes are not equal.

Expected Results:  
Font size in pop-up menu should be the same as the themed font size of the
bookmarks toolbar entries.

theme: Firefox default theme
os version: MacOS X 10.4.2</Description></bugID>